Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/DBI.pm) perl(DBD/mysql.pm) perl(base.pm) perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Class-DBI-Plugin-Type
Version:        0.02
Release:        alt1_37
Summary:        Determine type information for columns
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-DBI-Plugin-Type
Source0:        https://cpan.metacpan.org/authors/id/S/SI/SIMON/Class-DBI-Plugin-Type-%{version}.tar.gz
# Adapt to changes in DBD-SQLite-1.61_02, bug #1664030, CPAN RT#128135,
# proposed to the upstream
Patch0:         Class-DBI-Plugin-Type-0.02-Fix-compatibility-with-DBD-SQLite-1.61_02.patch
BuildArch:      noarch
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Class/DBI/Plugin.pm), perl(DBD/SQLite.pm), perl(Test/More.pm)
BuildRequires:	perl(Pod/Perldoc.pm), perl(ExtUtils/MakeMaker.pm)
Requires:  perl(Class/DBI/Plugin.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Plugin-Type-%{version}
%patch0 -p1
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI/Plugin/

%changelog
* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_37
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_35
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_34
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_33
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_31
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_30
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_29
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_28
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_27
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_26
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_24
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_23
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_22
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_21
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_20
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_18
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_16
- fc import

